i915/kbl_dmc_ver1.bin failed with error -2 package 1.157.17 kernel 4.4.0-116-generic

Bug #1752536 reported by ivanto on 2018-03-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Xenial
Medium
Seth Forshee

Bug Description

:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.4 LTS
Release: 16.04
Codename: xenial

:~$ uname -r
4.4.0-116-generic

The problem
:~$ dmesg | grep i915
[ 0.991220] [drm:i915_dump_device_info] i915 device info: gen=9, pciid=0x5902 rev=0x04 flags=need_gfx_hws,is_kabylake,has_fbc,has_hotplug,has_llc,has_ddi,has_fpga_dbg,
[ 0.991711] [drm:i915_gem_init_stolen] Memory reserved for graphics device: 65536K, usable: 64512K
[ 0.992136] [drm:i915_ggtt_init_hw] GMADR size = 256M
[ 0.992137] [drm:i915_ggtt_init_hw] GTT stolen size = 64M
[ 0.992138] [drm:i915_ggtt_init_hw] ppgtt mode: 3
[ 1.001094] [drm:intel_csr_ucode_init] Loading i915/kbl_dmc_ver1.bin
[ 1.001114] i915_bpo 0000:00:02.0: Direct firmware load for i915/kbl_dmc_ver1.bin failed with error -2
[ 1.001119] i915_bpo 0000:00:02.0: Failed to load DMC firmware [https://01.org/linuxgraphics/intel-linux-graphics-firmwares], disabling runtime power management.
[ 1.005895] [drm:i915_gem_object_create_stolen_for_preallocated] creating preallocated stolen object: stolen_offset=0, gtt_offset=0, size=408000
[ 1.005897] [drm:i915_pages_create_for_stolen] offset=0x0, size=4227072
[ 1.006228] [drm:i915_gem_setup_global_gtt] reserving preallocated space: 0 + 408000
[ 1.006230] [drm:i915_gem_setup_global_gtt] clearing unused GTT space: [408000, fffff000]
[ 1.007450] [drm:i915_gem_context_init] LR context support initialized
[ 1.010861] [drm] Initialized i915_bpo 1.6.0 20160425 for 0000:00:02.0 on minor 0
[ 1.857985] i915_bpo 0000:00:02.0: fb0: inteldrmfb frame buffer device
[ 11.248704] snd_hda_intel 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915_bpo])
[ 18.739304] [drm:i915_gem_open]
[ 18.739408] [drm:i915_gem_open]
[ 18.739484] [drm:i915_gem_open]
[ 18.739524] [drm:i915_gem_open]
[ 33.631792] [drm:i915_gem_open]
[ 35.515257] [drm:i915_gem_open]
[ 35.582793] [drm:i915_gem_open]
[ 42.823681] [drm:i915_gem_open]
[ 47.557725] [drm:i915_audio_component_sync_audio_rate] Not valid for port C
[ 47.565183] [drm:i915_audio_component_sync_audio_rate] Not valid for port C
[ 47.566992] [drm:i915_audio_component_sync_audio_rate] Not valid for port C
[ 47.573099] [drm:i915_audio_component_sync_audio_rate] Not valid for port C
[ 47.574721] [drm:i915_audio_component_sync_audio_rate] Not valid for port C
[ 47.581074] [drm:i915_audio_component_sync_audio_rate] Not valid for port C
[ 960.035670] [drm:i915_audio_component_sync_audio_rate] Not valid for port C
[ 960.044499] [drm:i915_audio_component_sync_audio_rate] Not valid for port C
[ 960.046373] [drm:i915_audio_component_sync_audio_rate] Not valid for port C
[ 960.052451] [drm:i915_audio_component_sync_audio_rate] Not valid for port C
[ 960.054246] [drm:i915_audio_component_sync_audio_rate] Not valid for port C
[ 960.060454] [drm:i915_audio_component_sync_audio_rate] Not valid for port C
[ 969.549771] [drm:i915_gem_open]
[ 969.704665] [drm:i915_gem_context_create_ioctl] HW context 1 created
[ 969.794654] [drm:i915_gem_context_destroy_ioctl] HW context 1 destroyed
[ 1125.305318] [drm:i915_gem_open]
[ 1125.328165] [drm:i915_gem_context_create_ioctl] HW context 1 created
[ 1125.333583] [drm:i915_gem_context_destroy_ioctl] HW context 1 destroyed
[ 1227.799188] [drm:i915_gem_open]
[ 1227.806911] [drm:i915_gem_context_create_ioctl] HW context 1 created
[ 1227.807865] [drm:i915_gem_context_destroy_ioctl] HW context 1 destroyed
[ 1436.623061] [drm:i915_gem_open]
[ 1436.629327] [drm:i915_gem_context_create_ioctl] HW context 1 created
[ 1436.630138] [drm:i915_gem_context_destroy_ioctl] HW context 1 destroyed
[ 1459.597494] [drm:i915_gem_open]
[ 1459.603754] [drm:i915_gem_context_create_ioctl] HW context 1 created
[ 1459.604550] [drm:i915_gem_context_destroy_ioctl] HW context 1 destroyed

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: linux-firmware 1.157.17
ProcVersionSignature: Ubuntu 4.4.0-116.140-generic 4.4.98
Uname: Linux 4.4.0-116-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.15
Architecture: amd64
CurrentDesktop: LXDE
Date: Thu Mar 1 10:30:27 2018
Dependencies:

InstallationDate: Installed on 2016-11-19 (466 days ago)
InstallationMedia:

PackageArchitecture: all
SourcePackage: linux-firmware
UpgradeStatus: Upgraded to xenial on 2016-11-20 (465 days ago)

ivanto (ivantu) wrote :
ivanto (ivantu) on 2018-03-01
summary: - i915/kbl_dmc_ver1.bin failed with error -2
+ i915/kbl_dmc_ver1.bin failed with error -2 kernel 4.4.0-116-generic
summary: - i915/kbl_dmc_ver1.bin failed with error -2 kernel 4.4.0-116-generic
+ i915/kbl_dmc_ver1.bin failed with error -2 package 1.157.17 kernel
+ 4.4.0-116-generic
ivanto (ivantu) on 2018-03-01
tags: added: i915 intel
Seth Forshee (sforshee) wrote :

Changing to affect linux package. The firmware is present but the driver lacks the MODULE_FIRMWARE statement to get the firmware placed into the initrd.

affects: linux-firmware (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Fix Released
Changed in linux (Ubuntu Xenial):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → Medium
status: New → In Progress
ivanto (ivantu) wrote :

the system does not find MODULE_FIRMWARE...

:~$ uname -r
4.4.0-124-generic

:~$ modinfo -F firmware /lib/modules/$(uname -r)/kernel/drivers/gpu/drm/
modinfo: ERROR: Module /lib/modules/4.4.0-124-generic/kernel/drivers/gpu/drm/ not found.

:~$ ls -l /lib/modules/4.4.0-124-generic/kernel/drivers/gpu/drm/i915
totale 2056
-rw-r--r-- 1 root root 2103622 mag 2 16:58 i915.ko

ivanto (ivantu) on 2018-05-11
description: updated
ivanto (ivantu) wrote :

:~$ locate kbl_dmc_ver1.bin
/lib/firmware/i915/kbl_dmc_ver1.bin

:~$ ls -l /lib/firmware/i915
totale 1664
-rw-r--r-- 1 root root 8380 nov 17 17:40 bxt_dmc_ver1_07.bin
lrwxrwxrwx 1 root root 19 nov 17 17:40 bxt_dmc_ver1.bin -> bxt_dmc_ver1_07.bin
-rw-r--r-- 1 root root 140928 mar 1 17:41 bxt_guc_ver8_7.bin
-rw-r--r-- 1 root root 146432 mar 17 10:55 bxt_guc_ver9_29.bin
-rw-r--r-- 1 root root 154432 dic 5 21:31 bxt_huc_ver01_07_1398.bin
-rw-r--r-- 1 root root 8616 mar 3 11:05 kbl_dmc_ver1_01.bin
-rw-r--r-- 1 root root 8840 mar 17 11:07 kbl_dmc_ver1_04.bin
lrwxrwxrwx 1 root root 19 mar 3 11:40 kbl_dmc_ver1.bin -> kbl_dmc_ver1_01.bin
-rw-r--r-- 1 root root 142656 mar 3 11:45 kbl_guc_ver9_14.bin
-rw-r--r-- 1 root root 147776 mar 17 11:08 kbl_guc_ver9_39.bin
-rw-r--r-- 1 root root 218688 dic 5 21:31 kbl_huc_ver02_00_1810.bin
-rw-r--r-- 1 root root 8824 mar 30 2017 skl_dmc_ver1_23.bin
-rw-r--r-- 1 root root 8928 mar 30 2017 skl_dmc_ver1_26.bin
-rw-r--r-- 1 root root 8928 mar 17 11:09 skl_dmc_ver1_27.bin
lrwxrwxrwx 1 root root 19 mar 30 2017 skl_dmc_ver1.bin -> skl_dmc_ver1_26.bin
-rw-r--r-- 1 root root 109636 mar 3 12:03 skl_guc_ver1.bin
-rw-r--r-- 1 root root 128320 mar 3 12:03 skl_guc_ver4.bin
-rw-r--r-- 1 root root 129024 mar 30 2017 skl_guc_ver6_1.bin
lrwxrwxrwx 1 root root 18 mar 30 2017 skl_guc_ver6.bin -> skl_guc_ver6_1.bin
-rw-r--r-- 1 root root 147520 mar 17 11:10 skl_guc_ver9_33.bin
-rw-r--r-- 1 root root 140992 dic 5 21:31 skl_huc_ver01_07_1398.bin

Changed in linux (Ubuntu Xenial):
status: In Progress → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
ivanto (ivantu) wrote :
Download full text (32.5 KiB)

kernel proposed activated

:~$ uname -r
4.4.0-128-generic

the problem has been solved by you, thank you!
below the log output

:~$ dmesg | grep i915
[ 1.039248] [drm:i915_dump_device_info] i915 device info: gen=9, pciid=0x5902 rev=0x04 flags=need_gfx_hws,is_kabylake,has_fbc,has_hotplug,has_llc,has_ddi,has_fpga_dbg,
[ 1.039662] [drm:i915_gem_init_stolen] Memory reserved for graphics device: 65536K, usable: 64512K
[ 1.040117] [drm:i915_ggtt_init_hw] GMADR size = 256M
[ 1.040118] [drm:i915_ggtt_init_hw] GTT stolen size = 64M
[ 1.040119] [drm:i915_ggtt_init_hw] ppgtt mode: 3
[ 1.049247] [drm:intel_csr_ucode_init] Loading i915/kbl_dmc_ver1.bin
[ 1.049793] [drm] Finished loading i915/kbl_dmc_ver1.bin (v1.1)
[ 1.054392] [drm:i915_gem_object_create_stolen_for_preallocated] creating preallocated stolen object: stolen_offset=0, gtt_offset=0, size=300000
[ 1.054395] [drm:i915_pages_create_for_stolen] offset=0x0, size=3145728
[ 1.054722] [drm:i915_gem_setup_global_gtt] reserving preallocated space: 0 + 300000
[ 1.054723] [drm:i915_gem_setup_global_gtt] clearing unused GTT space: [300000, fffff000]
[ 1.055941] [drm:i915_gem_context_init] LR context support initialized
[ 1.059408] [drm] Initialized i915_bpo 1.6.0 20160425 for 0000:00:02.0 on minor 0
[ 1.320757] [drm:i915_gem_object_create_stolen] creating stolen object: size=408000
[ 1.320760] [drm:i915_pages_create_for_stolen] offset=0x300000, size=4227072
[ 1.640286] i915_bpo 0000:00:02.0: fb0: inteldrmfb frame buffer device
[ 11.882062] snd_hda_intel 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915_bpo])
[ 24.554262] [drm:i915_gem_open]
[ 24.554407] [drm:i915_gem_open]
[ 24.554502] [drm:i915_gem_open]
[ 24.554597] [drm:i915_gem_open]
[ 32.719195] [drm:i915_gem_open]
[ 33.460413] [drm:i915_gem_open]
[ 33.474453] [drm:i915_gem_open]
[ 40.532613] [drm:i915_gem_open]
[ 46.456349] [drm:i915_audio_component_sync_audio_rate] Not valid for port C
[ 46.462564] [drm:i915_audio_component_sync_audio_rate] Not valid for port C
[ 46.547249] [drm:i915_audio_component_sync_audio_rate] Not valid for port C
[ 46.554472] [drm:i915_audio_component_sync_audio_rate] Not valid for port C
[ 46.556057] [drm:i915_audio_component_sync_audio_rate] Not valid for port C
[ 46.562544] [drm:i915_audio_component_sync_audio_rate] Not valid for port C
[ 131.340801] [drm:i915_audio_component_sync_audio_rate] Not valid for port C
[ 131.348924] [drm:i915_audio_component_sync_audio_rate] Not valid for port C
[ 131.351803] [drm:i915_audio_component_sync_audio_rate] Not valid for port C
[ 131.356905] [drm:i915_audio_component_sync_audio_rate] Not valid for port C
[ 131.359653] [drm:i915_audio_component_sync_audio_rate] Not valid for port C
[ 131.364903] [drm:i915_audio_component_sync_audio_rate] Not valid for port C
[ 141.643165] [drm:i915_gem_open]
[ 142.158782] [drm:i915_gem_context_create_ioctl] HW context 1 created
[ 142.269302] [drm:i915_gem_context_destroy_ioctl] HW context 1 destroyed
[ 214.103983] [drm:i915_gem_open]
[ 214.129466] [drm:i915_gem_context_create_ioctl] HW context 1 created
[ 214.274136] [drm:i915_g...

tags: added: verification-done-xenial
removed: verification-needed-xenial
Launchpad Janitor (janitor) wrote :
Download full text (15.1 KiB)

This bug was fixed in the package linux - 4.4.0-128.154

---------------
linux (4.4.0-128.154) xenial; urgency=medium

  * linux: 4.4.0-128.154 -proposed tracker (LP: #1772960)

  * CVE-2018-3639 (x86)
    - x86/cpu: Make alternative_msr_write work for 32-bit code
    - x86/bugs: Fix the parameters alignment and missing void
    - KVM: SVM: Move spec control call after restore of GS
    - x86/speculation: Use synthetic bits for IBRS/IBPB/STIBP
    - x86/cpufeatures: Disentangle MSR_SPEC_CTRL enumeration from IBRS
    - x86/cpufeatures: Disentangle SSBD enumeration
    - x86/cpu/AMD: Fix erratum 1076 (CPB bit)
    - x86/cpufeatures: Add FEATURE_ZEN
    - x86/speculation: Handle HT correctly on AMD
    - x86/bugs, KVM: Extend speculation control for VIRT_SPEC_CTRL
    - x86/speculation: Add virtualized speculative store bypass disable support
    - x86/speculation: Rework speculative_store_bypass_update()
    - x86/bugs: Unify x86_spec_ctrl_{set_guest,restore_host}
    - x86/bugs: Expose x86_spec_ctrl_base directly
    - x86/bugs: Remove x86_spec_ctrl_set()
    - x86/bugs: Rework spec_ctrl base and mask logic
    - x86/speculation, KVM: Implement support for VIRT_SPEC_CTRL/LS_CFG
    - KVM: SVM: Implement VIRT_SPEC_CTRL support for SSBD
    - x86/bugs: Rename SSBD_NO to SSB_NO
    - KVM: VMX: Expose SSBD properly to guests.

  * [i915_bpo] Fix flickering issue after panel change (LP: #1770565)
    - drm/i915: Fix iboost setting for DDI with 4 lanes on SKL
    - drm/i915: Name the "iboost bit"
    - drm/i915: Program iboost settings for HDMI/DVI on SKL
    - drm/i915: Move bxt_ddi_vswing_sequence() call into intel_ddi_pre_enable()
      for HDMI
    - drm/i915: Explicitly use ddi buf trans entry 9 for hdmi
    - drm/i915: Split DP/eDP/FDI and HDMI/DVI DDI buffer programming apart
    - drm/i915: Get the iboost setting based on the port type
    - drm/i915: Simplify intel_ddi_get_encoder_port()
    - drm/i915: Fix iboost setting for SKL Y/U DP DDI buffer translation entry 2
    - drm/i915: KBL - Recommended buffer translation programming for DisplayPort
    - drm/i915: Ignore OpRegion panel type except on select machines

  * [SRU][Bionic/Artful] fix false positives in W+X checking (LP: #1769696)
    - init: fix false positives in W+X checking

  * [Ubuntu 16.04] kernel: fix rwlock implementation (LP: #1761674)
    - SAUCE: (no-up) s390: fix rwlock implementation

  * linux < 4.11: unable to use netfilter logging from non-init namespaces
    (LP: #1766573)
    - netfilter: allow logging from non-init namespaces

  * [LTC Test] Ubuntu 18.04: tm_sigreturn failed on P8 compat mode 16.04.04
    guest (LP: #1771439)
    - powerpc: signals: Discard transaction state from signal frames

  * QCA9377 requires more IRAM banks for its new firmware (LP: #1748345)
    - ath10k: update the IRAM bank number for QCA9377

  * i915/kbl_dmc_ver1.bin failed with error -2 package 1.157.17 kernel
    4.4.0-116-generic (LP: #1752536)
    - ubuntu: i915_bpo - Add MODULE_FIRMWARE for Geminilake's DMC

  * Xenial update to 4.4.131 stable release (LP: #1768825)
    - ext4: prevent right-shifting extents beyond EXT_MAX_BLOCKS
    - ext4: set h_journal if there is a failure...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers